[Beta] Gets project's custom hostname config
get
/v1/projects/{ref}/custom-hostnameOAuth scopes
- domains:read
The fine-grained token must include the following permissions to access this endpoint:
- custom_domain_read
Path parameters
- refRequiredstring
Project ref
Response codes
- 200
- 401
- 403
- 429
- 500
Response (200)
{ "status": "1_not_started", "custom_hostname": "lorem", "data": { "success": true, "errors": [ "lorem" ], "messages": [ "lorem" ], "result": { "id": "lorem", "hostname": "lorem", "ssl": { "status": "lorem", "validation_records": [ { "txt_name": "lorem", "txt_value": "lorem" } ], "validation_errors": [ { "message": "lorem" } ] }, "ownership_verification": { "type": "lorem", "name": "lorem", "value": "lorem" }, "custom_origin_server": "lorem", "verification_errors": [ "lorem" ], "status": "lorem" } }}